<div style="margin-bottom: 15px;">
    <!-- <h5>
       <span jhiTranslate="mpmApp.partSalesOrder.home.title">Part Sales Orders</span>
    </h5> -->
    <p-dataTable
        [value]="partSalesOrders"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idOrder"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['part-sales-order-popup-new'] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.partSalesOrder.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.partSalesOrder.internal'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.partSalesOrder.customer'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.customerId">
                    <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.partSalesOrder.billTo'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.billToId">
                    <a [routerLink]="['../bill-to', rowData.billToId  ]" >{{rowData.billToId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../part-sales-order', rowData.idOrder]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [routerLink]="['../part-sales-order/0/' + page + '/' + rowData.idOrder + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idOrder)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>